Bug 108631 - [patch] cad/qcad: change dependency shells/bash2 -> shells/bash
[patch] cad/qcad: change dependency shells/bash2 -> shells/bash
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Michael Reifenberger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 21:50 UTC by Boris Samorodov
Modified: 2007-02-01 12:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2007-01-31 21:50:19 UTC
	1. In preparation to deprecate shells/bash2 all dependencies should
	be changed.
	2. Pet portlint (delete a spare line at Makefile).

Fix: - change BUILD_DEPENDS: shells/bash2 -> shells/bash;
	- drop a spare line at Makefile to pet portlint.



WBR
-- 
bsam--w7kNyS722jHleQzqMx5wQmRsgcTxUOZA5LaG280dIlwil61p
Content-Type: text/plain; name="qcad.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="qcad.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/cad/qcad/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- Makefile	3 May 2006 23:38:29 -0000	1.45
+++ Makefile	31 Jan 2007 21:44:06 -0000
@@ -8,7 +8,6 @@
 PORTNAME=	qcad
 PORTVERSION=	2.0.5.0.1
 #PORTREVISION=	1
-
 CATEGORIES=	cad
 MASTER_SITES=	http://www.ribbonsoft.com/archives/qcad/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/.1$/-1/}-community.src
@@ -16,7 +15,7 @@
 MAINTAINER=	mr@FreeBSD.org
 COMMENT=	Professional CAD system
 
-BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash2 \
+BUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash \
 		qmake:${PORTSDIR}/devel/qmake
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/.1$/-1/}-community.src
Comment 1 Edwin Groothuis freebsd_committer 2007-01-31 21:50:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mr

Over to maintainer
Comment 2 dfilter freebsd_committer 2007-02-01 11:59:32 UTC
mr          2007-02-01 11:59:23 UTC

  FreeBSD ports repository

  Modified files:
    cad/qcad             Makefile 
  Log:
  - change BUILD_DEPENDS: shells/bash2 -> shells/bash;
  - drop a spare line at Makefile to pet portlint.
  
  PR:             ports/108631
  Submitted by:   bsam
  
  Revision  Changes    Path
  1.46      +1 -2      ports/cad/qcad/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Michael Reifenberger freebsd_committer 2007-02-01 12:01:14 UTC
State Changed
From-To: open->closed

committed